fbshot(1)

NAME
fbshot - takes screenshots from your framebuffer device

SYNOPSIS
fbshot [options] filename

DESCRIPTION
fbshot reads your 8,15,16,24 and 32-bit framebuffer device and saves a PNG image file. You can use it for making screenshots of your framebuffer application or of your text or (n)curses applications (just for fun). You can also use it to show somebody (who lives far away) your crazy framebuffer boot logo ;-) You may also use your shots in presentations or anything. I think this program isn't for nothing. Send feedback for more suggestions to use it!

OPTIONS

-h  print usage informations

-c console
    specifies which console (or virtual terminal - like other people call this feature) to grab. Sometimes this changing is faster then the framebuffer is refreshed (especially when grabbing framebuffer apps). If so, you should use -C console ... This waits some time before grabbing. You can't use -s in this case.

-d device
    specifies which framebuffer device you want to read. If you do not use this option, it takes the value from the FRAMEBUFFER environment variable. If no FRAMEBUFFER environment variable is given or if its value is NULL, the DEFAULT_FB is taken. (see source code) If you got the official binary .deb package, this value is /dev/fb0 ... Of course, if you received a .rpm, it is the same. And if you take a look into the binary ELF file you can still change this standard.

-i  turns off interlacing. If you do not want ADAM7 interlacing, you should use the -i option.

-s seconds
    specifies how many seconds to wait before grabbing. fbshot does not lock console switching, so you can switch it while waiting and so you can use this feature if -c doesn't work as normal user and can't log in as root (see BUGS).

WHY PNG
Reasons why I chose PNG for output format: PNG is small, does everything I or you need for a screenshot. PNG is web standard. JPEG or GIF are web standard, too, but both JPEG and GIF are limited. And libjpeg isn't working at my machine :-) and I needn't choose between libgif or libungif or between some related full-featured graphic libs (libLUG, libMagick). But please notice: in some Netscape versions Netscape has some problems with PNG when calling directly. It displays them smaller, and with black bars left and right. Within a HTML page there are no problems I know.

BUGS
-c option does not work as non-root. But I do not want to setuid root the binary, because this is a security hazard. And I do not like such hazards! Maybe it works with your kernel. Please mail me (with kernel version), if so. If you are root, it should change to the console you specified two times (which is not a bug).

TODO
Nice, if some coders would help me:
    * port it to and test it on other color depths!!!
    * make options to specify compression (I think, that's not important)
    * remove bugs and make bugs (but only unintentionly!)
    * send me mail (suggestions, tips, critics)...

AUTHOR
If you have any comments, patches, questions, critics, tips or anything else (well, feedback) to fbshot, send it to
    Dariusz Swiderski <sfires@sfires.net>

GETTING NEW VERSIONS
You may visit my homepage for newer versions of fbshot:
    http://www.sfires.net/fbshot/ You should be able to download tar.gzed source.

THANKS TO (from Stephan Beyer <fbshot@s-beyer.de> original man page)
Thanks to Glenn Randers-Pehrson <randeg@alum.rpi.edu> who helped me with some basic libPNG things. I also have to thank Elliot Lee <sopwith@redhat.com> who sent me code for converting 8bpp to 24bpp, although this didn't work at my machine. I also didn't implement it into the program, but the code contains it... Also thanks to Frank Kaefer <fbshot@sta.to> who I met at #linux.de in IRCnet. Caused by him I noticed, that fbshot had a real heavy bug in its first two versions. liff I also met at IRCnet, channel #c. He helped me with some basic bit operation stuff. Also thanks to him. Thanks, of course, to everyone who downloaded this program, too. If you send me mail I'll call you here (if you want). So thanks to Brad Douglas <brad@neruo.com>, Edmund Haworth <oliver.legion@bigfoot.com>, Elliot Lee <sopwith@redhat.com>, Frank Kaefer <fbshot@sta.to> Glenn Randers-Pehrson <randeg@alum.rpi.edu>, <imaginate@elektromensch.de>, and you? mail me if you want to be called here. You may tell me Realname and e-mail and what you are thinking of this program, send me patches, comments, questions - what you want...

THANKS TO
Stephan Beyer <fbshot@s-beyer.de> for the idea and first code. Paul Mundt <lethal@chaoticdreams.org> for his further work.

COPYLEFT
Copyleft (C) 2002 Dariusz Swiderski <sfires@sfires.net>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.